import { fetch } from '@/utils'
import store from '@/store'

// export async function login(params) {
// //   const res = await fetch({
// //     url: '/loginuser',
// //     method: 'GET',
// //     params,
// //     loading: true
// //   }).catch(e => Promise.reject(e))
// //   if (res.code === 0) {
// //     store.commit('setUserInfo', res.content)
// //   }
// //   return Promise.resolve(res)
// // }

// export function getUserInfo (params) {
//   return fetch({
//     url: '/OauthLoginUser',
//     method: 'GET',
//     params
//   })
// }

export function login(data) {
  return fetch({
    url: `/epapi/authentication/form`,
    method: 'POST',
    toast: false,
    data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

export function getTestUser(params) {
  return fetch({
    url: '/epapi/testUser/get',
    method: 'GET',
    params
  })
}

// export function login (data) {
//   return fetch({
//     url: '/cas/oauth2.0/accessToken',
//     method: 'POST',
//     params: {
//       grant_type: 'password',
//       client_id: 'jiucaiyunoauthtest',
//       ...data
//     }
//   })
// }

export function refeshUserInfo() {
  return new Promise((resolve, reject) => {
    fetch({
      url: '/OauthLoginUser',
      method: 'GET',
      params: {
        access_token: localStorage.getItem('token')
      }
    }).then(rt => {
      if (rt.content.userid) {
        store.commit('app/setUserInfo', rt.content)
        resolve(rt)
      } else {
        localStorage.removeItem('token')
      }
    }).catch(e => {
      localStorage.removeItem('token')
      reject(e)
    })
  })
}

// 获取登录人信息接口
export function getUserInfo(params) {
  return fetch({
    url: `/epapi/common/getUserInfo`,
    method: 'GET',
    params
  })
}
